Subject: Re: [spf:guess,iffy] Re: "Integrated Web Client for git" GSoC proposal

From: Jakub Narebski <[email-masked]>
Date: Sat, 17 Apr 2010 05:50:57 -0700 (PDT)

Restored some of Cc list...

Tatsuhiko Miyagawa <[email-masked]> writes:

> Sam Vilain <sam <at> vilain.net> writes:

> > It should be possible for the script to figure out what filesystem path it
> > is being run from, perhaps find a local lib/ dir and then add that to @INC.

FindBin, Dir::Self (or just relevant code from it), and then "use lib <dir>".

> > In shell scripts you just use FindBin, I don't know whether that is still
> > expected to work from eg mod_perl but there's bound to be a solution for
> > that.  So yeah I'd say just aim to ship lots of .pm files in a nearby dir
> > alongside the script...
> 
> Or use App::FatPacker.

But try to make this build-time dependency optional.  I wonder also
what is performance cost of using App::FatPacker trick.

It is a bit pity that PAR is not in core.  We could use 

  $ git archive --format=zip --output=gitweb.par --prefix=lib/ \
    HEAD -- gitweb/lib

to generate packfile, and then

  use PAR 'gitweb.par';

in gitweb.

-- 
Jakub Narebski
Poland
ShadeHawk on #git